From cb84e91574afe67f9685623f8715438130b7e789 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Wed, 22 Jan 2025 10:42:54 +0900
Subject: [PATCH 1/2] pgbench: Use default connection when dbname is not
 specified

---
 src/bin/pgbench/pgbench.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index c415e0f32c..eaaa4188f4 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -1567,7 +1567,11 @@ doConnect(void)
 
 		if (!conn)
 		{
-			pg_log_error("connection to database \"%s\" failed", dbName);
+			if (dbName)
+				pg_log_error("connection to database \"%s\" failed", dbName);
+			else
+				pg_log_error("connection to default database failed");
+
 			return NULL;
 		}
 
@@ -7088,8 +7092,6 @@ main(int argc, char **argv)
 				dbName = env;
 			else if ((env = getenv("PGUSER")) != NULL && *env != '\0')
 				dbName = env;
-			else
-				dbName = get_user_name_or_exit(progname);
 		}
 	}
 
-- 
2.43.5

